%define fname ms
%define ttfdir %_datadir/fonts/ttf/%fname

Name: fonts-ttf-ms
Version: 1.0
Release: alt1.M40.1

Summary: Unicode True Type fonts from MS
License: free to use, but restricted (see EULA)
Group: System/Fonts/True type

Url: http://telia.dl.sourceforge.net/sourceforge/corefonts
Source0: ms_eula.htm
Source1: arial32.exe
Source2: arialb32.exe
Source3: times32.exe
Source4: courie32.exe
Source5: andale32.exe
Source6: comic32.exe
Source7: georgi32.exe
Source8: impact32.exe
Source9: trebuc32.exe
Source10: verdan32.exe
Source11: webdin32.exe
Source12: wd97vwr32.exe
Packager: Michael Shigorin <mike@altlinux.org>

BuildArch: noarch
PreReq: chkfontpath
PreReq: fontconfig > 2.3.2-alt3
PreReq: cabextract >= 0.6
BuildRequires: cabextract >= 0.6 freetype
Obsoletes: ms-ttf ms-fonts-ttf
Provides: ms-ttf ms-fonts-ttf

Summary (ru_RU.UTF-8): Unicode True Type шрифты от MS

%description
A set of Unicode True Type fonts from MS

%description -l ru_RU.UTF-8
Набор Unicode True Type шрифтов от MS

%build
cp %SOURCE0 .
cp %SOURCE1 .
cp %SOURCE2 .
cp %SOURCE3 .
cp %SOURCE4 .
cp %SOURCE5 .
cp %SOURCE6 .
cp %SOURCE7 .
cp %SOURCE8 .
cp %SOURCE9 .
cp %SOURCE10 .
cp %SOURCE11 .
cp %SOURCE12 .
for i in *32.exe ; do
	%_bindir/cabextract -L $i >/dev/null 2>&1
done
%_bindir/cabextract -L viewer1.cab >/dev/null 2>&1
%_sbindir/ttmkfdir > fonts.dir

%install
install -d -m755 %buildroot%ttfdir
install -m644 *.exe  %buildroot%ttfdir
install -m644 *.ttf %buildroot%ttfdir
install -m644 *.dir %buildroot%ttfdir
touch %buildroot%ttfdir/fonts.cache-1

%post
cd %ttfdir
umask u=rwx,g=rx,o=rx
for i in *32.exe ; do
	cabextract -L $i >/dev/null 2>&1
done
cabextract -L viewer1.cab >/dev/null 2>&1
rm -f *.inf *.exe *.dll *.txt
fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%files
%doc ms_eula.htm
%config (missingok) %ttfdir/*.exe
%ghost %verify (not mtime) %ttfdir/*.ttf
%ghost %ttfdir/fonts.cache-1
%ttfdir/*.dir
%dir %ttfdir

%changelog
* Thu Sep 27 2007 Michael Shigorin <mike@altlinux.org> 1.0-alt1.M40.1
- partial merge with 1.0-alt3:
  + use redistributable word 97 viewer as source for tahoma.ttf
- built for M40
- set release so 1.0-alt1 would upgrade too (an extra font included)
- spec cleanup

* Thu Jan 04 2007 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- /usr/share/fonts/default/TrueType-ms -> /usr/share/fonts/ttf/ms
- package name changed

* Mon Jul 11 2005 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt13
- link to encodings.dir removed, no longer requires freetype

* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt12
- link to encodings.dir fixed

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt11
- %postun script fix

* Fri Jan 30 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt10
- ttf permissions fix

* Wed Jan 28 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt9
- Directory removal and encodings.dir symlink fixes

* Tue Jan 27 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt8
- DLLs removed

* Thu Sep 04 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt7
- Full set of MS fonts (andale32.exe, comic32.exe, georgi32.exe, impact32.exe, trebuc32.exe, verdan32.exe, webdin32.exe)

* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt6
- Changed dir
- Cleanups (removed obsolete gnome-font-install and xftcache calls, fontconfig)
- Requirements fixed
- Translation
- Renamed to ms-fonts-ttf

* Mon Oct 07 2002 AEN <aen@altlinux.ru> 1.0-alt5
- fc-cache & gnome-font install added in %post

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 1.0-alt4
- built with cabextract-0.6

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 1.0-alt3
- build rpm with fonts

* Thu Nov 01 2001 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2
- convert file names to lower case

* Mon Jul 16 2001 AEN <aen@logic.ru> 1.0-alt1
- build for Sisyphus
